<template>
  <nav>
    <div class="nav-content">
      <div @click="toggleSidebar" class="menu-container">
        <MenuIcon></MenuIcon>
      </div>
      <h1>{{ exerciseHeader }}</h1>
    </div>
  </nav>
</template>

<script>
import MenuIcon from "vue-material-design-icons/Menu.vue";
import {computed, toRefs} from "vue";

export default {
  name: "Navbar",
  emits: ['toggleSidebar'],
  props: ['exercise'],
  components: {
    MenuIcon
  },
  setup(props, { emit }) {

    const { exercise } = toRefs(props)

    const toggleSidebar = () => {
      emit("toggleSidebar")
    }

    const exerciseHeader = computed(() => {
      let index = exercise.value.id.indexOf('-')
      let exerciseNum = exercise.value.id.substr(0, index)
      let category = exercise.value.category
      return category + "sbeispiel " + exerciseNum
    })

    return {
      toggleSidebar,
      exerciseHeader
    }
  }
}
</script>

<style scoped>

</style>